Skip to main content

Resend the mail for a customer invite

POST/v2/customer-invites/{customerInviteId}/actions/resend
API version
v2
Request method
POST
Operation ID
customer-resend-customer-invite-mail

Request​

  • customerInviteIdstring (uuid)required

    ID of the CustomerInvite to resend the mail for.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customer-invites/f0f86186-0a5a-45b2-aa33-502777496347/actions/resend
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.resendCustomerInviteMail({
"customerInviteId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\ResendCustomerInviteMail\ResendCustomerInviteMailRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ResendCustomerInviteMailRequest(
customerInviteId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->customer()->resendCustomerInviteMail($request);

var_dump($response->getBody();

On this page